%define major	0
%define libname	%mklibname utempter %{major}
%define devname	%mklibname utempter -d

Summary:	A privileged helper for utmp/wtmp updates
Name:		utempter
Version:	1.1.6
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		ftp://ftp.altlinux.org/pub/people/ldv/utempter
Source0:	ftp://ftp.altlinux.org/pub/people/ldv/utempter/libutempter-%{version}.tar.xz
Patch0:		libutempter-pierelro.patch
Patch1:		libutempter-1.1.6-sanitize-linking-naming.patch
Requires(pre):	shadow-utils

%description
The utempter library provides interface for terminal emulators such as
screen and xterm to record user sessions to utmp and wtmp files.

%package -n	%{libname}
Summary:	Library used by %{name}
Group:		System/Libraries

%description -n	%{libname}
The utempter library provides interface for terminal emulators such as
screen and xterm to record user sessions to utmp and wtmp files.

%package -n	%{devname}
Summary:	Devel files for %{name}
Group:		Development/Libraries
Provides:	utempter-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes: 	%{_lib}utempter0-devel

%description -n	%{devname}
This package contains development files required to build
utempter-based software.

%prep
%setup -qn libutempter-%{version}
%patch0 -p1 -b .pierelro
#%patch1 -p1 -b .linknaming

%build
%make CFLAGS="%{optflags}" libdir="%{_libdir}" libexecdir="%{_libexecdir}"

%install
%makeinstall_std libdir="%{_libdir}" libexecdir="%{_libexecdir}"

mkdir -p %{buildroot}%{_sbindir}
ln -sf %{_libexecdir}/utempter/utempter %{buildroot}%{_sbindir}/utempter

rm -f %{buildroot}%{_libdir}/*.a

%pre
{
    %{_sbindir}/groupadd -g 22 -r -f utmp || :
    %{_sbindir}/groupadd -g 35 -r -f utempter || :
}

%files
%doc README COPYING
%dir %attr(755,root,utempter) %{_libexecdir}/utempter
%attr(2711,root,utmp) %{_libexecdir}/utempter/utempter
%{_sbindir}/utempter
%{_mandir}/man3/*

%files -n %{libname}
%{_libdir}/libutempter.so.0
%{_libdir}/libutempter.so.1.*
%{_libdir}/libutempter.so.%{major}*

%files -n %{devname}
%{_libdir}/libutempter.so
%{_includedir}/utempter.h


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.1.6-3pclos2017
- rebuild against updates

* Fri Aug 14 2015 bb <bb> 1.1.6-2pclos2015
- drop patch 1

* Tue Jun 23 2015 bb <bb> 1.1.6-1pclos2015
- update

* Sun Jan 17 2010 Texstar <texstar at gmail.com> 0.5.5-4pclos02010
- update for 2010 release